
%global meadversion 1.3.0
%global namedversion 1.3.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%{?scl:%scl_package microprofile-config} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 1.3.0.redhat-00001

Name:		    %{?scl_prefix}microprofile-config
Summary:	    Eclipse MicroProfile Config Feature
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: microprofile-config-parent-1.3.0.redhat-00001-scm-sources.zip
Source102: microprofile-config-api-1.3.0.redhat-00001.pom
Source103: microprofile-config-api-1.3.0.redhat-00001-sources.jar
Source104: microprofile-config-api-1.3.0.redhat-00001.jar
Source105: microprofile-config-api-1.3.0.redhat-00001-javadoc.jar
Source106: microprofile-config-parent-1.3.0.redhat-00001.pom
Source107: microprofile-config-parent-1.3.0.redhat-00001-project-sources.tar.gz
Source108: microprofile-config-spec-1.3.0.redhat-00001.pom
Source109: microprofile-config-tck-1.3.0.redhat-00001.jar
Source110: microprofile-config-tck-1.3.0.redhat-00001-javadoc.jar
Source111: microprofile-config-tck-1.3.0.redhat-00001-sources.jar
Source112: microprofile-config-tck-1.3.0.redhat-00001.pom
%endif

License:        ASL 2.0
URL:            http://microprofile.io
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for microprofile-config
Group:          Development/Java


%description javadoc
Javadoc for microprofile-config
%endif

%package -n %{?scl_prefix}microprofile-config-api
Summary:        MicroProfile Config API
Group:          Development/Java

%description -n %{?scl_prefix}microprofile-config-api
%{summary}.

%package -n %{?scl_prefix}microprofile-config-tck
Summary:        MicroProfile Config TCK
Group:          Development/Java

%description -n %{?scl_prefix}microprofile-config-tck
%{summary}.

%prep
%setup -q -n microprofile-config -T -b 100

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/microprofile-config-api-%{namedversion}.jar %{buildroot}%{_javadir}/microprofile-config-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/microprofile-config-tck-%{namedversion}.jar %{buildroot}%{_javadir}/microprofile-config-tck-%{namedversion}.jar

%if %with javadoc
%{__cp} -p %{_sourcedir}/microprofile-config-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/microprofile-config-api-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/microprofile-config-tck-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/microprofile-config-tck-%{namedversion}-javadoc.jar
%endif

%{__cp} -p %{_sourcedir}/microprofile-config-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/microprofile-config-api-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/microprofile-config-tck-%{namedversion}-sources.jar %{buildroot}%{_javadir}/microprofile-config-tck-%{namedversion}-sources.jar


(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/microprofile-config-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/microprofile-config-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/microprofile-config-api-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s microprofile-config-api-%{namedversion} microprofile-config-api)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/microprofile-config-tck-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/microprofile-config-tck-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/microprofile-config-tck-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s microprofile-config-tck-%{namedversion} microprofile-config-tck)

%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE KEYS NOTICE README.adoc

%files -n %{?scl_prefix}microprofile-config-api
%defattr(0644,root,root,0755)
%{_javadir}/microprofile-config-api-%{namedversion}.jar
%{_javadir}/microprofile-config-api.jar
%{_javadir}/microprofile-config-api-%{namedversion}-sources.jar
%{_javadir}/microprofile-config-api-sources.jar

%files -n %{?scl_prefix}microprofile-config-tck
%defattr(0644,root,root,0755)
%{_javadir}/microprofile-config-tck-%{namedversion}.jar
%{_javadir}/microprofile-config-tck.jar
%{_javadir}/microprofile-config-tck-%{namedversion}-sources.jar
%{_javadir}/microprofile-config-tck-sources.jar


%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/microprofile-config-api
%{_javadocdir}/microprofile-config-api-%{namedversion}
%{_javadocdir}/microprofile-config-tck
%{_javadocdir}/microprofile-config-tck-%{namedversion}

%endif


%changelog
* Wed Sep 05 2018 Permaine Cheung <pcheung@redhat.com> - 1.3.0-2.redhat_00001.1
- Fix Requires

* Tue Sep 04 2018 Yong Yang <yyang@redhat.com> - 1.3.0-1.redhat_00001.1
-  1.3.0.redhat-00001 

* Tue Sep 04 2018 Yong Yang <yyang@redhat.com> - 1.3.0-1.redhat_00001.1
-  1.3.0.redhat-00001 

* Tue Sep 04 2018 Yong Yang <yyang@redhat.com> - 1.3.0-1.redhat_00001.1
-  1.3.0.redhat-00001 


* Tue Sep 04 2018 Yong Yang <yyang@redhat.com> - 1.3.0
- Init build
